Vla-getsnapspacing

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-getsnapspacing vla-object XSpacing YSpacing )


機能
ビューポートのスナップ間隔を取得する。


引数
  • vla-object … VLAオブジェクト(PViewport、Viewport)
  • XSpacing … X 軸方向のスナップ間隔。
  • YSpacing … Y 軸方向のスナップ間隔。


戻り値
nil


サンプル
(vl-load-com)
(defun c:Example_GetSnapSpacing()
    ;; この例では、現在のスナップ間隔を検索し、その間隔を変更する。

    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    ;; 現在アクティブなモデル空間ビューポートを見つける
    (setq viewportObj (vla-get-ActiveViewport doc))
    
    ;; スナップ間隔をオンにし、ビューポートをリセット。
    (vla-put-SnapOn viewportObj :vlax-true)
    (vla-put-ActiveViewport doc viewportObj)
    
    ;; 現在のスナップ間隔
    (vla-GetSnapSpacing viewportObj 'XSpacing 'YSpacing)
    (alert (strcat "X =" (rtos XSpacing 2) ", Y =" (rtos YSpacing 2)))
    
    ;; 変更
    (vla-SetSnapSpacing viewportObj (* XSpacing 0.5) (* YSpacing 0.5))
    (vla-put-ActiveViewport doc viewportObj)

    (vla-GetSnapSpacing viewportObj 'XSpacing 'YSpacing)
    (alert (strcat "X =" (rtos XSpacing 2) ", Y =" (rtos YSpacing 2)))
)

関連事項